!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine NumDiffusionVelZ
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: numdiffusionvelz.f90,v 1.3 2005/02/02 09:53:48 odakker Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!Ǵɾ. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!Ǵ arareprm , \nu = \frac{\alpha \DeltaX}{\Delta t} Ƿ. 
!\alpha < 1/8 Ǥ. 
!CReSS ޥ˥奢뻲. 
!
!== Future Plans
!
                                                                 !=end

subroutine NumDiffusionVelZ(sf_VelZ_n, sf_NumDiffVelZ_n)
                                                                 !=begin  
  !== Dependency 
  use dc_trace, only: BeginSub, EndSub
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
  use differentiate,  only: sf_dx_ff, ff_dx_sf, sf_dz_ss, ss_dz_sf
  use arareprm, only: Cm, NuH, NuV
                                                                 !=end  
  !--- ۤηػ
  implicit none
                                                                 !=begin    
  !== Input 
  real(8), intent(in) :: sf_VelZ_n(DimXMin:DimXMax, DimZMin:DimZMax) !® w
  
  !== Output
  real(8), intent(out) :: sf_NumDiffVelZ_n(DimXMin:DimXMax, DimZMin:DimZMax) !sǴ
                                                                 !=end

  call BeginSub("NumDiffusionVelZ", &
&          fmt="%c",       &
&          c1="Calculate numerical diffusion term for VelZ (sf_NumDiffVelZ).")

  !--- Ȼ 
  sf_NumDiffVelZ_n = &
       &   NuH * ( sf_dx_ff( ff_dx_sf( sf_VelZ_n) ) ) &
       & + NuV * ( sf_dz_ss( ss_dz_sf( sf_VelZ_n) ) ) 
  
  call EndSub("NumDiffusionVelZ")

end subroutine NumDiffusionVelZ
